#
# spec file for package qt5integration
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           qt5integration
Version:        5.5.24
Release:        3.7
License:        GPL-3.0-or-later
Summary:        Qt platform theme integration plugins
URL:            https://github.com/linuxdeepin/qt5integration
Group:          System/GUI/Other
Source0:        https://github.com/linuxdeepin/qt5integration/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires:  gtest
BuildRequires:  libQt5Gui-private-headers-devel
BuildRequires:  libQt5PlatformSupport-devel-static
BuildRequires:  libQt5PlatformSupport-private-headers-devel
BuildRequires:  libQt5Widgets-private-headers-devel
BuildRequires:  libqt5-qtbase-common-devel
BuildRequires:  cmake(KF5WindowSystem)
BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5OpenGL)
BuildRequires:  pkgconfig(Qt5PrintSupport)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5X11Extras)
BuildRequires:  pkgconfig(Qt5Xdg)
BuildRequires:  pkgconfig(Qt5XdgIconLoader)
BuildRequires:  pkgconfig(atk)
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(dbus-1)
BuildRequires:  pkgconfig(dtkcore)
BuildRequires:  pkgconfig(dtkwidget)
BuildRequires:  pkgconfig(egl)
BuildRequires:  pkgconfig(fontconfig)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(gdk-pixbuf-2.0)
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(ice)
BuildRequires:  pkgconfig(libinput)
BuildRequires:  pkgconfig(libudev)
BuildRequires:  pkgconfig(mtdev)
BuildRequires:  pkgconfig(pango)
BuildRequires:  pkgconfig(sm)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xcb)
BuildRequires:  pkgconfig(xcb-ewmh)
BuildRequires:  pkgconfig(xcb-image)
BuildRequires:  pkgconfig(xcb-keysyms)
BuildRequires:  pkgconfig(xcb-renderutil)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xi)
BuildRequires:  pkgconfig(xkbcommon)
BuildRequires:  pkgconfig(xkbcommon-x11)
BuildRequires:  pkgconfig(xrender)
%if 0%{?suse_version} > 1500
BuildRequires:  rpm_macro(_kf5_plugindir)
%else
BuildRequires:  kf5-filesystem
%endif

%description
Multiple Qt plugins to provide better Qt5 integration for DDE are included.

%prep
%autosetup -p1

%build
%qmake5 BASED_DTK_DIR=based-dtk
%make_build

%install
%qmake5_install

%files
%doc CHANGELOG.md README.md
%license LICENSE
%dir %{_kf5_plugindir}/styles
%dir %{_kf5_plugindir}/iconengines
%dir %{_kf5_plugindir}/imageformats
%dir %{_kf5_plugindir}/platformthemes
%dir %{_kf5_plugindir}/styles/based-dtk
%dir %{_kf5_plugindir}/iconengines/based-dtk
%dir %{_kf5_plugindir}/imageformats/based-dtk
%dir %{_kf5_plugindir}/platformthemes/based-dtk
%{_kf5_plugindir}/iconengines/libdtkbuiltin.so
%{_kf5_plugindir}/iconengines/libxdgicon.so
%{_kf5_plugindir}/imageformats/libdsvg.so
%{_kf5_plugindir}/platformthemes/libqdeepin.so
%{_kf5_plugindir}/styles/libchameleon.so
%{_kf5_plugindir}/iconengines/libdsvgicon.so
%{_kf5_plugindir}/iconengines/based-dtk/libdtkbuiltin.so
%{_kf5_plugindir}/iconengines/based-dtk/libxdgicon.so
%{_kf5_plugindir}/imageformats/based-dtk/libdsvg.so
%{_kf5_plugindir}/platformthemes/based-dtk/libqdeepin.so
%{_kf5_plugindir}/styles/based-dtk/libchameleon.so
%{_kf5_plugindir}/iconengines/based-dtk/libdsvgicon.so

%changelog
* Tue Feb 27 2024 Max Lin <mlin@suse.com>
- BuildRequire kf5-filesystem instead of rpm_macro(_kf5_plugindir) on
  Leap 15
* Thu Jan  4 2024 Dominique Leuenberger <dimstar@opensuse.org>
- BuildRequire rpm_macro(_kf5_plugindir): ensure we have the
  package providing the base kf5 macros.
* Wed Aug 24 2022 Hillwood Yang <hillwood@opensuse.org>
- Update version to 5.5.24
  * configurable proxy icon engine
  * optimize ui
  * Fix bugs
* Sun Jul  3 2022 Hillwood Yang <hillwood@opensuse.org>
- Update version to 5.5.23.1
  * Optimize performance
  * Optimize ui
  * Fix bugs
* Fri Mar 18 2022 Hillwood Yang <hillwood@opensuse.org>
- Use another way to workaround crash bug: add BASED_DTK_DIR=based-dtk to qmake
* Thu Feb 17 2022 Hillwood Yang <hillwood@opensuse.org>
- Update version to 5.5.17
  * Set scrollbar visible
  * Add selected checked indicator icon
  * Fix bug
- Drop fix-library-link.patch, Merged by upstream
- Drop libdsvgicon.so to workaround crash bug
* Tue Sep 21 2021 Hillwood Yang <hillwood@opensuse.org>
- Update version to 5.5.8
  * Fix bugs
  * Update style
* Thu Aug  5 2021 Hillwood Yang <hillwood@opensuse.org>
- Update version to 5.5.3
  * Set scrollbar visible
  * Fix bugs
  * Update dtk api to 5.5, add some fresh plugins for new dtk api
- Add fix-library-link.patch, need link to dl
* Tue Feb  9 2021 Jan Engelhardt <jengelh@inai.de>
- Trim obsolete specfile constructs.
* Sat Jan 30 2021 Hillwood Yang <hillwood@opensuse.org>
- Update version to 5.1.5
  * A big update, get many new features
  * Fix bugs.
- Drop support-Qt-5_13.patch and fix-build-with-Qt-5_14_0.patch.
  Merged by upstream.
* Sun Jan 26 2020 Hillwood Yang <hillwood@opensuse.org>
- Support 5.14+
  * Add fix-build-with-Qt-5_14_0.patch
* Tue Jul  9 2019 Hillwood Yang <hillwood@opensuse.org>
- Update version to 0.3.12
  * Fix ScreenScaleFactors cannot be applied to all screens when only one value is
    specified
  * Fix font pixel changed when connect a screen
  * Fix enable real-time scale for window only on enable screenScaleFactors
  * Support auto update the window geometry by new device pixel ratio
  * Fix build failed on Qt 5.7.x
  * Screen scale support takes effect in real time
  * Fix QComboBox show icon
  * Fix adjust QComboBox height
  * Add property "touchFlickBeginMoveDelay" for DThemeSettings
- Use Qt 5.13.0
  * Add support-Qt-5_13.patch
* Thu Dec 20 2018 hillwood@opensuse.org
- Update version to 0.3.7.1
  * Bugs Fix
  * Features update
- Use Qt 5.12
* Tue Jan  9 2018 hillwood@opensuse.org
- Update to 0.2.8.3
  * read settings from config file
  * auto update the widgets font when theme config file changed
  * set window flags for native dialog
  * visable bottom lines on QMenu when hover item
  * keep the window border is 1px for hiDPI
  * add build-depend: libegl1-mesa-dev
  * dd build-depend: libmtdev-dev
  * Fix set cursor is invaild
  * Fix crash when screen changed
  * Fix the window border size is wrong
  * raw shadow area
  * the DFrameWindow shadow area
  * update all widgets on font changed
  * DFileSystemWatcherPrivate::addPaths: inotify_add_watch failed
  * set ini codec to "utf8" for QSettings
- Use Qt 5.10.0
* Tue Nov  7 2017 hillwood@opensuse.org
- Initial package.
